#!/usr/bin/perl
use strict;
use warnings;
use Math::MPFI qw(:mpfi);

sub Rump{
  Rmpfi_set_default_prec($_[0]);
  my $x = Math::MPFI->new(77617);
  my $x2 = $x*$x;
  my $y = Math::MPFI->new(33096);
  my $y2 = $y*$y;
  my $y4 = $y2*$y2;
  my $y6 = $y4*$y2;
  my $y8 = $y4*$y4;
  
  return 333.75*$y6+$x2*(11*$x2*$y2-$y6-121*$y4-2)+5.5*$y8+$x/(2*$y);
}

for (16, 32, 80, 100, 120) {
  print "Rump($_)\t= ", Rump($_), "\n";
}
